POST /api/v202106/reportdistribution/{reportDistributionId}/exec

Run a report distribution and send the report out immediately This does not affect the current distribution schedule

ExecuteReportDistributionV202106 Permissions: DistributedReportsSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
reportDistributionId Id of the report distribution to run integer (int32) Required

Query Parameters

Name Description Type Required
overrideUserIds List of systemuserIds to send the distribution to. If not provided the currently configured recipients will receive the report. If this is provided it is used in place of the currently configured recipients array Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportDistributionLogResponse
Property Description Type
beginDate The date and time the report distribution was started string (date-time)
endDate The date and time the report distribution was completed string (date-time)
numberOfRecipients The number of unique recipients for the report If a user is a member of multiple groups assigned to the report distribution they will only be counted once integer (int32)
reportDistribution ReportDistributionChild
ReportDistributionChild properties
Property Description Type
createdByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reportCode The report code to run as part of the report distribution string
reportDistributionId The id of the report distribution integer (int32)
reportDistributionName The name of the report distribution string
reportDistributionLogId The report distribution log identifier integer (int32)
status The status of the report distribution Possible values - In Progress, Complete, Not sent, Some reports not sent string
Example Response application/json
{  "beginDate": "2026-03-30",  "endDate": "2026-03-30",  "numberOfRecipients": 1,  "reportDistribution": {    "createdByUser": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "reportCode": "string",    "reportDistributionId": 1,    "reportDistributionName": "string"
  },  "reportDistributionLogId": 1,  "status": "string"
}